#
# spec file for package python-publicsuffix
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-publicsuffix
Version:        1.1.1
Release:        1.14
Summary:        Public Suffix List
License:        MIT
URL:            https://publicsuffix.org
Source:         https://files.pythonhosted.org/packages/source/p/publicsuffix/publicsuffix-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
Get a public suffix for a domain name using the Public Suffix List.

%prep
%setup -q -n publicsuffix-%{version}

%build
export LANG=en_US.UTF-8
%python_build

%install
export LANG=en_US.UTF-8
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export LANG=en_US.UTF-8
%pytest tests.py -k 'not test_fetch'

%files %{python_files}
%doc ChangeLog README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Thu Mar 19 2020 Marketa Calabkova <mcalabkova@suse.com>
- update to 1.1.1
  * Add deprecation notice to README.
  * Fix UnicodeDecodeError in setup.py when building or installing
    package with LC_ALL=C (thanks to Evgeni Golov).
  * Update the built-in list and fix tests (thanks to Evgeni Golov).
  * Fetch the public suffix list using https.
  * Add public_suffix_list.dat to MANIFEST.in.
* Fri Jan 10 2020 pgajdos@suse.com
- fix build in SLE-15: set en_US.UTF-8 encoding by exporting LANG
* Mon Dec  2 2019 pgajdos@suse.com
- call spec-cleaner
* Wed Sep 25 2019 pgajdos@suse.com
- initial version 1.1.0, requires by python-authheaders [SLE-7686]
